class BulletinLink

  include Mongoid::Document
  include Mongoid::Timestamps
  
  field :url
  field :title, localize: true
  
  field :should_destroy, :type => Boolean
  
  # embedded_in :bulletin
  belongs_to :bulletin

  before_validation :add_http
  validates :url, :presence => true, :format => /^(http|https):\/\/[a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,5}(([0-9]{1,5})?\/.*)?$/ix

  protected

	def add_http
	  unless self.url[/^http:\/\//] || self.url[/^https:\/\//]
	    self.url = 'http://' + self.url
	  end
	end

end
